<div *ngIf="mode === listMode; else slideBox" data-test-id="diary-list">
    <ion-list
        data-test-id="diary-list"
        lines="none"
        class="ion-no-padding"
        #slidingList
    >
        <ion-item-sliding
            *ngFor="let item of list; trackBy: trackDiary"
            data-test-id="diary-item"
            class="mb-20"
            [disabled]="item.status !== waiting"
        >
            <ion-item-options side="start" (ionSwipe)="transfer(item.id)">
                <ion-item-option
                    expandable
                    color="danger"
                    routerLink="consultation/transfert"
                    [queryParams]="{ diaryId: item.id }"
                    >Transférer</ion-item-option
                >
            </ion-item-options>

            <ion-item>
                <app-diary [diary]="item" [useOptions]="useOptions"></app-diary>
            </ion-item>

            <ion-item-options side="end" (ionSwipe)="confirm(item.id)">
                <ion-item-option color="success" expandable
                    >Confirmer</ion-item-option
                >
            </ion-item-options>
        </ion-item-sliding>
    </ion-list>
</div>

<ng-template #slideBox data-test-id="slide-box">
    <ion-slides #slideElement [options]="slideOpts" *ngIf="list.length > 0">
        <ion-slide
            *ngFor="let item of list; trackBy: trackDiary"
            data-test-id="slide-item"
        >
            <app-diary [diary]="item" class="mr-10"></app-diary>
        </ion-slide>
    </ion-slides>
</ng-template>
